
function on_built_entity (event)
  local entity = event.created_entity
  local name = entity.name
  if name == 'offshore-pump' then 
    entity.surface.create_entity{name='burner-offshore-pump', 
      position=entity.position, 
      direction=entity.direction, 
      force=entity.force, 
      fast_replace=true, 
      spill=false, 
      raise_built=true, 
      create_build_effect_smoke=false}
    entity.destroy()
  end
end

script.on_event(defines.events.on_built_entity, on_built_entity)
script.on_event(defines.events.on_robot_built_entity, on_built_entity)